Package com.xebialabs.xlrelease.exception

## Class LogFriendlyNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.xebialabs.deployit.engine.spi.exception.DeployitException
        - - com.xebialabs.deployit.exception.NotFoundException
          - - com.xebialabs.xlrelease.exception.LogFriendlyNotFoundException

- All Implemented Interfaces:
    `java.io.Serializable`

      @SuppressStackTrace(suppressStackTrace=true)
      public class LogFriendlyNotFoundException
      extends com.xebialabs.deployit.exception.NotFoundException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogFriendlyNotFoundException​(java.lang.String messageTemplate, java.lang.Object... args)` |
    `LogFriendlyNotFoundException​(java.lang.Throwable cause, java.lang.String messageTemplate, java.lang.Object... args)` |

  - ### Method Summary

    - ### Methods inherited from class com.xebialabs.deployit.engine.spi.exception.DeployitException

      `add, addAll, getEntity, getErrors, getMessage, hasEntity, hasErrors`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogFriendlyNotFoundException

          public LogFriendlyNotFoundException​(java.lang.String messageTemplate,
                                              java.lang.Object... args)

    - #### LogFriendlyNotFoundException

          public LogFriendlyNotFoundException​(java.lang.Throwable cause,
                                              java.lang.String messageTemplate,
                                              java.lang.Object... args)